commit 880fc42b29d1f1d076ddb1953bad4d9a67df2b1a
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Sat Mar 4 09:48:17 2023 +0100

    diagnostics: Fix up selftests with $COLUMNS < 42 [PR108973]
    
    As mentioned in the PR, GCC's diagnostics self-tests fail if $COLUMNS < 42.
    Guarding each self-test with if (get_terminal_width () > 41) or similar
    would be a maintainance nightmare (PR has a patch to do so without
    reformatting to make it work for $COLUMNS in [30, 41] inclusive, but
    I'm afraid going down to $COLUMNS 1 would mean marking everything).
    Furthermore, the self-tests don't really emit stuff to the terminal,
    but into a buffer, so using get_terminal_width () for it seems
    inappropriate.  The following patch makes sure test_diagnostic_context
    constructor uses exactly 80 columns wide caret max width, of course
    some tests override it already if they want to test for behavior in narrower
    cases.
    
    2023-03-04  Jakub Jelinek  <jakub@redhat.com>
    
            PR testsuite/108973
            * selftest-diagnostic.c
            (test_diagnostic_context::test_diagnostic_context): Set
            caret_max_width to 80.
    
    (cherry picked from commit 739e7ebb3d378ece25d64b39baae47c584253498)

diff --git a/gcc/selftest-diagnostic.c b/gcc/selftest-diagnostic.c
index 82fddca89ab..8f9c31eb467 100644
--- a/gcc/selftest-diagnostic.c
+++ b/gcc/selftest-diagnostic.c
@@ -41,6 +41,7 @@ test_diagnostic_context::test_diagnostic_context ()
   show_column = true;
   start_span = start_span_cb;
   min_margin_width = 6;
+  caret_max_width = 80;
 }
 
 test_diagnostic_context::~test_diagnostic_context ()

